#!/bin/sh
# Copyright (C) 2008 - 2015 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

# Mount storage partition
if [ -f /opt/vortexbox/mount_drives.sh ] ; then
 chmod +x /opt/vortexbox/mount_drives.sh
 /opt/vortexbox/mount_drives.sh
fi

# Clean up permissions
chmod -R 755 /storage/music/
chown -R squeezeboxserver:squeezeboxserver /storage/music/playlist/

# Clean up old temp files
tmpwatch -au 1 /tmp
rm -f /etc/vortexbox/mirror-flac-mp3.*
rm -f /etc/vortexbox/mirror-flac-aac.*
rm -f /etc/vortexbox/mirror.running
rm -f /etc/vortexbox/backup.running /etc/vortexbox/restore.running

# Check if this is a new install
if [ -f /etc/vortexbox/newinstall ]; then
	/usr/local/sbin/setup-vortexbox > /var/tmp/vb_setup.log 2>&1
fi
/opt/vortexbox/getnews.php > /dev/null 2>&1
 
# Unmute audio cards
/opt/vortexbox/unmute_all.sh > /dev/null 2>&1

if [ -f /opt/vortexbox/player_reset.sh ]; then
	chmod +x /opt/vortexbox/player_reset.sh
	/opt/vortexbox/player_reset.sh
fi

# Post startup process
if [ -f /opt/vortexbox/post_startup.sh ] ; then
 chmod +x /opt/vortexbox/post_startup.sh
 /opt/vortexbox/post_startup.sh
fi

exit 0